Jump to content

Error message - call_user_func_array()

Recommended Posts


Hi - 


For some unknown reason, my site has suddenly started putting an error line in the header of each page.  It was fine yesterday and I haven't changed anything so I don't know what it's doing.  The line says:


Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'redirectShop' was given in /var/sites/m/minidynasty.com/public_html/wp-includes/plugin.php on line 487



URL: http://minidynasty.com/



Any help much appreciated - I'm using Jigoshop for the ecommerce side so I wonder if there is an error there? 





Share this post

Link to post
Share on other sites

Somewhere you have either custom code, or a plugin that is looking for a function called RedirectShop, but that function no longer exists.


The function is not part of PageLines Framework or any 3rd party addon.

Share this post

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Similar Content

    • 1965deville
      By 1965deville+
      My DMS site came up with the error message below.
      My (stupid) easy fix was to try replace the template.php as the error message stated below.  As i usually do i copied the original file before replacing it. The problem is that i by mistake replaced the wrong file and had the functions file replaced. 
      So my questions: 1. Any tip on how to fix the original problem? 2. Am i able to repair my stupid mistake replacing the wrong file with no backup?
      Warning: require_once(/home/authenti/public_html/www.universalheartcenter.se/wp-content/themes/dms/dms//footer.php) [function.require-once]: failed to open stream: No such file or directory in /home/authenti/public_html/www.universalheartcenter.se/wp-includes/template.php on line 555

      Fatal error: require_once() [function.require]: Failed opening required '/home/authenti/public_html/www.universalheartcenter.se/wp-content/themes/dms/dms//footer.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/authenti/public_html/www.universalheartcenter.se/wp-includes/template.php on line 555
    • GreySwanFusion
      By GreySwanFusion
      Hi Guys,
      I configured a site in Frameworks sometime back, and they wanted to incorporate Buddypress into it.
      Have just used the Pageline buddypress sections (with the buddypress plugin), and the site generally works. But it keeps crashing, and bringing the site down on the server. Have gone through the process of disabling plugins etc (its a live site!) and am a bit stuck.
      LIVE site here: www.wlfn.org
      TEST site is here: www.greyswan.org.uk/testsite/
      I have just moved the site to its site location and am getting the following errors:
      Error message:
      Notice: bbp_setup_current_user was called incorrectly. The current user is being initialized without using $wp->init(). Please see Debugging in WordPress for more information. (This message was added in version 2.3.) in /customers/8/5/6/greyswan.org.uk/httpd.www/testsite/wp-includes/functions.php on line 3049 Notice: bp_setup_current_user was called incorrectly. The current user is being initialized without using $wp->init(). Please see Debugging in WordPress for more information. (This message was added in version 1.7.) in /customers/8/5/6/greyswan.org.uk/httpd.www/testsite/wp-includes/functions.php on line 3049 Warning: Invalid argument supplied for foreach() in /customers/8/5/6/greyswan.org.uk/httpd.www/testsite/wp-content/themes/pagelines/includes/library.extend.php on line 83
      Moved the site with BackupBuddy, and I have changed the wp.config to show error message. Get the same message on the 'live' site
      I currently can't log on to the TEST SITE due to the error message.
      I really don't think its plugins. Have basically got the basic and Pageline plugins, and all was working until BuddyPress was installed.
      Any ideas, help and advice. I don't really get the coding for this, what its asking for and what the conflict is?
      lastest version of wordpress
      Frameworks 2.4.4 plus Grid Portfolio section
      Child theme operating to effect a few styling ideas
      plugins: jetpack, sections, etc.
      Many thanks
    • stoltz
      By stoltz+
      I've ran in to some mysterious problems with poppy over at my website http://kinkypod.com
      When someone sends an email through poppy they just get the message "Error: Message body empty", even if they've filled out everything in the poppy popup.
      Does anyone know how to solve this?
    • nedim
      By nedim
      I get the error message below on all backend and frontend pages after having update to DMS 1.1. 
      I am trying to build a site at nedimhazar.flywheelsites.com. You need user: nedim password: ekirlu13 to see the site.
      Can you please help further.
      Error message:
      Notice: register_tab is <strong>deprecated</strong> since version 1.1 of PageLines DMS! Use an alternative as PageLinesMetaPanel has been removed from core DMS. See <a href="https://github.com/pagelines/DMS/issues/448#issuecomment-26383046">this issue</a> for more details and possible solutions. instead. in /www/wp-content/themes/dms/includes/deprecated.php on line 268